Package org.bukkit.block

# Interface Chest

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `Container`, `InventoryHolder`, `Lidded`, `Lockable`, `Lootable`, `LootableBlockInventory`, `LootableInventory`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface Chest extends Container, LootableBlockInventory, Lidded
Represents a captured state of a chest.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Inventory`
`getBlockInventory()`
Gets the inventory of the chest block represented by this block state.

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Container

`getInventory, getSnapshotInventory`

### Methods inherited from interface org.bukkit.block.Lidded

`close, isOpen, open`

### Methods inherited from interface org.bukkit.block.Lockable

`getLock, isLocked, setLock`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableBlockInventory

`getBlock`

### Methods inherited from interface com.destroystokyo.paper.loottable.LootableInventory

`getLastFilled, getLastLooted, getLastLooted, getNextRefill, hasBeenFilled, hasPendingRefill, hasPlayerLooted, hasPlayerLooted, isRefillEnabled, setHasPlayerLooted, setHasPlayerLooted, setNextRefill`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`

## Method Details

### getBlockInventory

@NotNull @NotNull Inventory getBlockInventory()
Gets the inventory of the chest block represented by this block state.

If the chest is a double chest, it returns just the portion of the inventory linked to the half of the chest corresponding to this block state.

If the block was changed to a different type in the meantime, the returned inventory might no longer be valid.

If this block state is not placed this will return the captured inventory snapshot instead.

Returns:
  the inventory